Subject: 24.3.50; Emacs aborts in GC

From: Eli Zaretskii <[email-masked]>
Date: Thu, 08 Nov 2012 19:12:19 +0200

This bug report will be sent to the Bug-GNU-Emacs mailing list
and the GNU bug tracker at debbugs.gnu.org.  Please check that
the From: line contains a valid email address.  After a delay of up
to one day, you should receive an acknowledgement at that address.

Please write in English if possible, as the Emacs maintainers
usually do not have translators for other languages.

Please describe exactly what actions triggered the bug, and
the precise symptoms of the bug.  If you can, give a recipe
starting from `emacs -Q':

(This is being sent from Emacs 24.2, since the trunk is unusable, see
below.  So please take the data reported by report-emacs-bug with a
grain of salt.)

With the current trunk, the first GC in the "emacs -Q" session aborts.
It doesn't matter what triggers the GC.  The backtrace is below.  Let
me know if I can help finding the problem.

  #1  0x01233dad in emacs_abort () at w32fns.c:7766
  #2  0x0100139c in terminate_due_to_signal (sig=22, backtrace_limit=2147483647)
      at emacs.c:345
  #3  0x01021d64 in die (
      msg=0x154362c "assertion failed: (tmp) < VECTOR_MAX_FREE_LIST_INDEX",
      file=0x1542dd1 "alloc.c", line=2864) at alloc.c:6483
  #4  0x0101b1a8 in sweep_vectors () at alloc.c:2864
  #5  0x01021a05 in gc_sweep () at alloc.c:6376
  #6  0x0101f320 in Fgarbage_collect () at alloc.c:5321
  #7  0x01018387 in maybe_gc () at lisp.h:3676
  #8  0x01012c68 in eval_sub (form=59772478) at eval.c:2036
  #9  0x0104ac36 in readevalloop (readcharfun=55932954, stream=0x77c5fd00,
      sourcename=55930433, printflag=false, unibyte=55855130, readfun=55855130,
      start=55855130, end=55855130) at lread.c:1842
  #10 0x01048cc6 in Fload (file=56888641, noerror=55855130, nomessage=55855154,
      nosuffix=55855130, must_suffix=55855154) at lread.c:1315
  #11 0x0103f093 in Frequire (feature=55922650, filename=55855130,
      noerror=55855130) at fns.c:2651
  #12 0x01015248 in Ffuncall (nargs=2, args=0x82dc44) at eval.c:2781
  #13 0x011254bf in exec_byte_code (bytestr=56888481, vector=59632877,
      maxdepth=16, args_template=55855130, nargs=0, args=0x0) at bytecode.c:899
  #14 0x01124932 in Fbyte_code (bytestr=56888481, vector=59632877, maxdepth=16)
      at bytecode.c:474
  #15 0x0101355a in eval_sub (form=59009206) at eval.c:2145
  #16 0x0104ac36 in readevalloop (readcharfun=55932954, stream=0x77c5fce0,
      sourcename=56886145, printflag=false, unibyte=55855130, readfun=55855130,
      start=55855130, end=55855130) at lread.c:1842
  #17 0x01048cc6 in Fload (file=20525321, noerror=55855130, nomessage=55855154,
      nosuffix=55855130, must_suffix=55855154) at lread.c:1315
  #18 0x010129bf in Fautoload_do_load (fundef=20525366, funname=57611794,
      macro_only=55855130) at eval.c:1973
  #19 0x0101566e in Ffuncall (nargs=1, args=0x82e624) at eval.c:2838
  #20 0x011254bf in exec_byte_code (bytestr=20395169, vector=20395213,
      maxdepth=12, args_template=55855130, nargs=0, args=0x0) at bytecode.c:899
  #21 0x01016097 in funcall_lambda (fun=20395141, nargs=2, arg_vector=0x82e878)
      at eval.c:3006
  #22 0x0101556f in Ffuncall (nargs=3, args=0x82e874) at eval.c:2823
  #23 0x011254bf in exec_byte_code (bytestr=20394193, vector=20394453,
      maxdepth=24, args_template=55855130, nargs=0, args=0x0) at bytecode.c:899
  #24 0x01016097 in funcall_lambda (fun=20394157, nargs=0, arg_vector=0x82ea40)
      at eval.c:3006
  #25 0x010158a7 in apply_lambda (fun=20394157, args=55855130) at eval.c:2883
  #26 0x0101387c in eval_sub (form=20388694) at eval.c:2184
  #27 0x01010f11 in internal_lisp_condition_case (var=57691882,
      bodyform=20388694, handlers=20388702) at eval.c:1242
  #28 0x01125f3e in exec_byte_code (bytestr=20388513, vector=20388613,
      maxdepth=16, args_template=55855130, nargs=0, args=0x0) at bytecode.c:1095
  #29 0x01016097 in funcall_lambda (fun=20388469, nargs=1, arg_vector=0x82ef28)
      at eval.c:3006
  #30 0x0101556f in Ffuncall (nargs=2, args=0x82ef24) at eval.c:2823
  #31 0x011254bf in exec_byte_code (bytestr=20387521, vector=20387789,
      maxdepth=20, args_template=55855130, nargs=0, args=0x0) at bytecode.c:899
  #32 0x01016097 in funcall_lambda (fun=20387453, nargs=2, arg_vector=0x82f188)
      at eval.c:3006
  #33 0x0101556f in Ffuncall (nargs=3, args=0x82f184) at eval.c:2823
  #34 0x011254bf in exec_byte_code (bytestr=20385409, vector=20385581,
      maxdepth=12, args_template=55855130, nargs=0, args=0x0) at bytecode.c:899
  #35 0x01016097 in funcall_lambda (fun=20385341, nargs=6, arg_vector=0x82f3d8)
      at eval.c:3006
  #36 0x0101556f in Ffuncall (nargs=7, args=0x82f3d4) at eval.c:2823
  #37 0x011254bf in exec_byte_code (bytestr=20384209, vector=20384573,
      maxdepth=32, args_template=55855130, nargs=0, args=0x0) at bytecode.c:899
  #38 0x01016097 in funcall_lambda (fun=20384157, nargs=4, arg_vector=0x82f648)
      at eval.c:3006
  #39 0x0101556f in Ffuncall (nargs=5, args=0x82f644) at eval.c:2823
  #40 0x011254bf in exec_byte_code (bytestr=20379313, vector=20379365,
      maxdepth=24, args_template=55855130, nargs=0, args=0x0) at bytecode.c:899
  #41 0x01016097 in funcall_lambda (fun=20379261, nargs=2, arg_vector=0x82f8a4)
      at eval.c:3006
  #42 0x0101556f in Ffuncall (nargs=3, args=0x82f8a0) at eval.c:2823
  #43 0x01014360 in Fapply (nargs=2, args=0x82f940) at eval.c:2308
  #44 0x010148e4 in apply1 (fn=57591626, arg=59777350) at eval.c:2542
  #45 0x011226fe in Fcall_interactively (function=57591626,
      record_flag=55855130, keys=55876469) at callint.c:377
  #46 0x01015248 in Ffuncall (nargs=4, args=0x82fb80) at eval.c:2781
  #47 0x010149b9 in call3 (fn=55972634, arg1=57591626, arg2=55855130,
      arg3=55855130) at eval.c:2599
  #48 0x010acf89 in Fcommand_execute (cmd=57591626, record_flag=55855130,
      keys=55855130, special=55855130) at keyboard.c:10240
  #49 0x010935ca in command_loop_1 () at keyboard.c:1586
  #50 0x0101101b in internal_condition_case (bfun=0x1092870 <command_loop_1>,
      handlers=55905738, hfun=0x10920b0 <cmd_error>) at eval.c:1288
  #51 0x010924fc in command_loop_2 (ignore=55855130) at keyboard.c:1167
  #52 0x01010a23 in internal_catch (tag=55895594,
      func=0x10924d9 <command_loop_2>, arg=55855130) at eval.c:1059
  #53 0x010924b4 in command_loop () at keyboard.c:1146
  #54 0x01091a81 in recursive_edit_1 () at keyboard.c:778
  #55 0x01091da3 in Frecursive_edit () at keyboard.c:842
  #56 0x01002863 in main (argc=2, argv=0xa43f90) at emacs.c:1564

  Lisp Backtrace:
  "Automatic GC" (0x166e620)
  "require" (0x82dc48)
  "byte-code" (0x82de20)
  "c-mode" (0x82e628)
  "set-auto-mode-0" (0x82e878)
  "set-auto-mode" (0x82ea40)
  "normal-mode" (0x82ef28)
  "after-find-file" (0x82f188)
  "find-file-noselect-1" (0x82f3d8)
  "find-file-noselect" (0x82f648)
  "find-file" (0x82f8a4)
  "call-interactively" (0x82fb84)
  (gdb)

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
For information about debugging Emacs, please read the file
d:/usr/emacs/etc/DEBUG.

In GNU Emacs 24.2.1 (i386-mingw-nt5.1.2600)
 of 2012-09-17 on HOME-C4E4A596F7
Windowing system distributor `Microsoft Corp.', version 5.1.2600
Configured using:
 `configure --with-gcc (3.4)'

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: ENU
  value of $XMODIFIERS: nil
  locale-coding-system: cp1255
  default enable-multibyte-characters: t

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
M-x r e p o r t - e m a c s - b u g <return>

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.

Load-path shadows:
None found.

Features:
(shadow sort gnus-util mail-extr emacsbug message format-spec rfc822 mml
easymenu mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231
mailabbrev gmm-utils mailheader sendmail regexp-opt rfc2047 rfc2045
ietf-drums mm-util mail-prsvr mail-utils time-date tooltip ediff-hook
vc-hooks lisp-float-type mwheel dos-w32 disp-table ls-lisp w32-win
w32-vars tool-bar dnd fontset image fringe lisp-mode register page
menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core frame cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese hebrew greek
romanian slovak czech european ethiopic indian cyrillic chinese
case-table epa-hook jka-cmpr-hook help simple abbrev minibuffer loaddefs
button faces cus-face files text-properties overlay sha1 md5 base64
format env code-pages mule custom widget hashtable-print-readable
backquote make-network-process multi-tty emacs)